package com.ssj.bean.sys.problem.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


@Entity
@Table(name = "scon_problem_picture")
public class ProblemPicture extends BaseEntity {


	/**
	 * 
	 */
	private static final long serialVersionUID = -940440766588660600L;


    private String            parentId;//家长userId


    private String            fileKey;//难题图片存放路径


    private String            subject;//科目


    private Integer           grade;//年级


    private Integer           difficulty;//难易度


    private Integer           mastery;//掌握度


    private Integer           commentNums;//评论数


    private String            status;//状态  删除=DELETE  未分类=NO_SETTLE  正常=NORMAL
    

    private Date              createTime;//创建时间
    

    private int               isDelete         = 0;//是否删除,0:否 1:是


    private String            derver;//设备号


    private int               type;//手机上传 = 1 贝壳上传2


    private int               questionNum;//问题数量


    private int               wrongNum;//错误数量


    private String            wrongCause;//错误原因


    private Date              firstClassifyTime;//第一次分类的时间


    private String            derverFileKey;//小塾端设备图片唯一标识


    private int               isFeedback;//是否反馈,0:否 1:是


    private int               isShare;//是否分享,0:否 1:是
    

    private String teacherId; //根据科目自动分配一名对应的老师 kmt_teacher表
    
    private String 			  vipId;//会员卡id

	private String  teacherMessage;

	private Date messageSubmitTime;

	/**
	 * 推荐题id列表， ,分割
	 */
	private String recommenQuestionIds;
	/**
	 * 语音文字
	 */
	private String videoMessage;
	/**
	 * 语音路径
	 */
	private String videoMessagePath;
	/**
	 * 手动（老师）编辑状态，如果老师编辑了文字、图片、语音，则是已编辑，AI识别的不算在里面
	 * 1：已编辑，0：未编辑
	 */
	private int manualEditType;

	public int getManualEditType() {
		return manualEditType;
	}

	public void setManualEditType(int manualEditType) {
		this.manualEditType = manualEditType;
	}

	@Column(name = "parent_id")
	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}
	@Column(name = "file_key")
	public String getFileKey() {
		return fileKey;
	}

	public void setFileKey(String fileKey) {
		this.fileKey = fileKey;
	}
	@Column(name = "subject")
	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}
    @Column(name = "grade")
	public Integer getGrade() {
		return grade;
	}

	public void setGrade(Integer grade) {
		this.grade = grade;
	}
	 @Column(name = "difficulty")
	public Integer getDifficulty() {
		return difficulty;
	}

	public void setDifficulty(Integer difficulty) {
		this.difficulty = difficulty;
	}
	@Column(name = "mastery")
	public Integer getMastery() {
		return mastery;
	}
	public void setMastery(Integer mastery) {
		this.mastery = mastery;
	}
	@Column(name = "comment_nums")
	public Integer getCommentNums() {
		return commentNums;
	}

	public void setCommentNums(Integer commentNums) {
		this.commentNums = commentNums;
	}
    @Column(name = "status")
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	@Column(name = "create_time")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	@Column(name = "is_delete")
	public int getIsDelete() {
		return isDelete;
	}

	public void setIsDelete(int isDelete) {
		this.isDelete = isDelete;
	}
	@Column(name = "derver")
	public String getDerver() {
		return derver;
	}

	public void setDerver(String derver) {
		this.derver = derver;
	}
	@Column(name = "type")
	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}
	@Column(name = "question_num")
	public int getQuestionNum() {
		return questionNum;
	}

	public void setQuestionNum(int questionNum) {
		this.questionNum = questionNum;
	}
	@Column(name = "wrong_num")
	public int getWrongNum() {
		return wrongNum;
	}

	public void setWrongNum(int wrongNum) {
		this.wrongNum = wrongNum;
	}
	@Column(name = "wrong_cause")
	public String getWrongCause() {
		return wrongCause;
	}

	public void setWrongCause(String wrongCause) {
		this.wrongCause = wrongCause;
	}
	@Column(name = "first_classify_time")
	public Date getFirstClassifyTime() {
		return firstClassifyTime;
	}

	public void setFirstClassifyTime(Date firstClassifyTime) {
		this.firstClassifyTime = firstClassifyTime;
	}
	@Column(name = "derver_file_key")
	public String getDerverFileKey() {
		return derverFileKey;
	}

	public void setDerverFileKey(String derverFileKey) {
		this.derverFileKey = derverFileKey;
	}
	@Column(name = "is_feedback")
	public int getIsFeedback() {
		return isFeedback;
	}

	public void setIsFeedback(int isFeedback) {
		this.isFeedback = isFeedback;
	}
	 @Column(name = "is_share")
	public int getIsShare() {
		return isShare;
	}

	public void setIsShare(int isShare) {
		this.isShare = isShare;
	}
	@Column(name = "teacher_id")
	public String getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(String teacherId) {
		this.teacherId = teacherId;
	}
	@Column(name = "vip_id")
	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getTeacherMessage() {
		return teacherMessage;
	}

	public void setTeacherMessage(String teacherMessage) {
		this.teacherMessage = teacherMessage;
	}

	public Date getMessageSubmitTime() {
		return messageSubmitTime;
	}

	public void setMessageSubmitTime(Date messageSubmitTime) {
		this.messageSubmitTime = messageSubmitTime;
	}

	public String getRecommenQuestionIds() {
		return recommenQuestionIds;
	}

	public void setRecommenQuestionIds(String recommenQuestionIds) {
		this.recommenQuestionIds = recommenQuestionIds;
	}

	public String getVideoMessage() {
		return videoMessage;
	}

	public void setVideoMessage(String videoMessage) {
		this.videoMessage = videoMessage;
	}

	public String getVideoMessagePath() {
		return videoMessagePath;
	}

	public void setVideoMessagePath(String videoMessagePath) {
		this.videoMessagePath = videoMessagePath;
	}
}
